aboutsummaryrefslogtreecommitdiffhomepage
path: root/platform_tools/chromeos/bin/chromeos_make
diff options
context:
space:
mode:
Diffstat (limited to 'platform_tools/chromeos/bin/chromeos_make')
-rwxr-xr-xplatform_tools/chromeos/bin/chromeos_make6
1 files changed, 6 insertions, 0 deletions
diff --git a/platform_tools/chromeos/bin/chromeos_make b/platform_tools/chromeos/bin/chromeos_make
index a1cb2ba6a3..cb58a9c08f 100755
--- a/platform_tools/chromeos/bin/chromeos_make
+++ b/platform_tools/chromeos/bin/chromeos_make
@@ -63,6 +63,12 @@ fi
# thinks we're in a Chrome checkout.
echo "Delete me!" > "${CHROMEOS_CHROOT}/.gclient"
+# We may also need a .git directory.
+GIT_DIR="${CHROMEOS_CHROOT}/src/third_party/chromite/.git"
+if ! [[ -d "${GIT_DIR}" ]]; then
+ mkdir -p ${GIT_DIR}
+fi
+
# Where the Skia code will pretend to live inside the chroot.
SKIA_TOP_DIR="${SCRIPT_DIR}/../../.."